export declare class HttpException extends Error {
    private readonly statusCode;
    constructor(statusCode: number | string, message: string);
    getStatusCode(): number;
    /**
     * Create a new HttpException
     * @param {number} statusCode the HTTP status code to propagate to the client
     * @param {string} message the message to send to the client
     */
    static create(statusCode: number, message: string): HttpException;
}
