"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FinalResponseMiddleware = void 0;
const tslib_1 = require("tslib");
const finalhandler_1 = tslib_1.__importDefault(require("finalhandler"));
const dino_core_1 = require("dino-core");
class FinalResponseMiddleware {
    environment;
    constructor(environment) {
        this.environment = environment;
    }
    handle(req, res, _callback, reject) {
        const cloudProvider = this.environment.getOrDefault('dino:cloud:provider', 'google');
        dino_core_1.Logger.info(`handling response for ${cloudProvider} cloud provider`);
        if (cloudProvider === 'aws') {
            return (err) => {
                if (dino_core_1.ObjectHelper.isDefined(err)) {
                    reject(err);
                }
            };
        }
        else {
            return (0, finalhandler_1.default)(req, res, {
                env: this.environment.getOrDefault('dino:environment', process.env.NODE_ENV),
                onerror: dino_core_1.Logger.error.bind(this)
            });
        }
    }
}
exports.FinalResponseMiddleware = FinalResponseMiddleware;
//# sourceMappingURL=FinalResponseMiddleware.js.map